## org.eclipse.emf.query.conditions.eobjects
Class IN

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.eobjects.EObjectCondition
              org.eclipse.emf.query.conditions.eobjects.IN

    public class IN

extends EObjectCondition

An `EObjectCondition` specialization used to test whether a given `EObject` is present in a collection of EObjects

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`E_FALSE, E_TRUE`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`IN(EObject eObject)` A simple constructor, takes in a single `EObject` to use for evaluation.
`IN(IEObjectSource eObjectSource)` A constructor, takes in the initial IEObjectSource whose supplied EObjects are to be used for evaluation
`IN(Set<? extends EObject> eObjects)` A constructor, takes in the initial EObjects set to use for evaluation

Method Summary
`boolean` `isSatisfied(EObject eObject)` Answers whether the argument eObject exist in the initial set of EObjects held by this IN condition.

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`AND, EQUIVALENT, getPruneHandler, IMPLIES, isSatisfied, OR, shouldPrune, XOR`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IN

    public IN(Set<? extends EObject> eObjects)

  A constructor, takes in the initial EObjects set to use for evaluation

  Parameters:
    `eObjects` - The set of EObjects to check if they contain amongst them some other `EObject`

### IN

    public IN(EObject eObject)

  A simple constructor, takes in a single `EObject` to use for evaluation. In effect this makes this `EObjectCondition` behaves like `EObjectInstanceCondition`

  Parameters:
    `eObject` - The `EObject` to test for.
  See Also:
    `EObjectInstanceCondition`

### IN

    public IN(IEObjectSource eObjectSource)

  A constructor, takes in the initial IEObjectSource whose supplied EObjects are to be used for evaluation

  Parameters:
    `eObjectSource` - The supplier of EObjects to use in test

Method Detail

### isSatisfied

    public boolean isSatisfied(EObject eObject)

  Answers whether the argument eObject exist in the initial set of EObjects held by this IN condition.

  Specified by:
    `isSatisfied` in class `EObjectCondition`
  Parameters:
    `eObject` - the `EObject` to check
  Returns:
    boolean `true` if the argument eObject satisfies this `EObjectCondition`
  See Also:
    `EObjectCondition.isSatisfied(org.eclipse.emf.ecore.EObject)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.